<template>
  <div class="home">

    <v-container>
      <v-row class="text-center">
        <v-col cols="12">
          <v-img
              :src="require('../assets/brain.webp')"
              class="my-3"
              contain
              height="200"
          />
        </v-col>
      </v-row>

      <v-row class="text-center">

        <v-col cols="12" class="mb-4">
          <h1 class="text-h2 mb-3">
            Welcome to Geek Jokes
          </h1>
        </v-col>

        <v-col cols="6" offset="3">
          <p class="text-body-1">On this page you'll find lots of very funny jokes - not.</p>
          <p class="text-body-2">The sole purpose of this project is to illustrate the usage of
            <a href="https://vuejs.org" target="_blank">Vue.js</a>,
            <a href="https://vuetifyjs.com" target="_blank">Vuetify</a>,
            <a href="https://vuex.vuejs.org" target="_blank">Vuex</a>,
            <a href="https://router.vuejs.org" target="_blank">Vue Router</a>,
            <a href="https://class-component.vuejs.org" target="_blank">Vue Class Component</a>,
            <a href="https://github.com/kaorun343/vue-property-decorator" target="_blank">Vue Property Decorator</a> and
            <a href="https://github.com/axios/axios" target="_blank">Axios</a>,
          </p>
        </v-col>

      </v-row>

      <v-row class="text-center">
        <v-col>
          <p class="text-caption mb-1">Stop talking and finally</p>
          <v-btn :to="{name: 'Jokes'}" outlined color="primary" x-large>bring me to the jokes!</v-btn>
        </v-col>
      </v-row>
    </v-container>

  </div>
</template>

<script lang="ts">
import {Component, Vue} from 'vue-property-decorator';

@Component
export default class Home extends Vue {
}
</script>
